"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findMemberCoordinates = exports.concatAllPublicFiltersIntoArray = exports.getRequestTypeFromTypeId = void 0;
const findTypeByPublicId = (sourceTypes, publicId) => {
    const typesArray = Object.keys(sourceTypes);
    for (let i = 0; i < typesArray.length; i++) {
        if (sourceTypes[typesArray[i]].publicId == publicId) {
            return sourceTypes[typesArray[i]].brokerType;
        }
    }
    return null;
};
const getRequestTypeFromTypeId = (config, typeId) => {
    const result = findTypeByPublicId(config['SOURCE_TYPES'], typeId);
    return result || null;
};
exports.getRequestTypeFromTypeId = getRequestTypeFromTypeId;
const concatAllPublicFiltersIntoArray = (allFilters) => {
    const output = [];
    const filtersKeys = Object.keys(allFilters);
    for (let i = 0; i < filtersKeys.length; i++) {
        if (allFilters[filtersKeys[i]].hasOwnProperty('public')) {
            output.push(...allFilters[filtersKeys[i]].public);
        }
    }
    return output;
};
exports.concatAllPublicFiltersIntoArray = concatAllPublicFiltersIntoArray;
const findMemberCoordinates = (memberName, obj, path = []) => {
    const coordinates = [];
    for (const key in obj) {
        if (obj.hasOwnProperty(key)) {
            const newPath = [...path, key];
            if (key === memberName) {
                coordinates.push({ path: newPath, value: obj[key] });
            }
            if (typeof obj[key] === 'object' && obj[key] !== null) {
                coordinates.push(...(0, exports.findMemberCoordinates)(memberName, obj[key], newPath));
            }
        }
    }
    return coordinates;
};
exports.findMemberCoordinates = findMemberCoordinates;
//# sourceMappingURL=utils.js.map